| openPilotLog

Public Member Functions | List of all members
ADatabaseError Class Reference

Custom Database Error derived from QSqlError. Extends text() adding "Database Error: " before the text. Errors that are related to SQL are assigned their respective error codes. Errors that occur with data in the database are handled with the error code "opl" and QSqlError::UnknownError. More...

`#include <adatabase.h>`

Inheritance diagram for ADatabaseError:

## Public Member Functions
| ADatabaseError (QString msg)
QString | text () const
| ADatabaseError (QSqlError)

## Detailed Description

Custom Database Error derived from QSqlError. Extends text() adding "Database Error: " before the text. Errors that are related to SQL are assigned their respective error codes. Errors that occur with data in the database are handled with the error code "opl" and QSqlError::UnknownError.

The documentation for this class was generated from the following file:

- src/database/adatabase.h